* {
    padding: 0;
    margin: 0;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    user-select: none;
}

body {
    font-family: 'Caveat', cursive;
    font-size: 1.8vw;
    color: #333;
}

#view {
    width: 100vw;
    height: 100vh;
    background: linear-gradient(50deg, greenyellow, green);
}

#preview {
    text-align: center;
    padding-top: 30vh;
}

h1 {
    font-size: 1.4em;
    text-transform: uppercase;
    margin: 40px;
}

h2 {
    margin: 20px;
}

img {  
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
}

select {
    margin: 0 5px;
    padding: 0.5vw 2vw;
    border: 1px solid yellow;
    border-radius: 10px;
    font-family: 'Caveat', cursive;
    font-size: 20px;
}

select:focus {
    user-select: none;
}

#start, #startAgain {
    margin: 30px;
    padding: 1vw 3vw;
    border-radius: 100px;
    border: none;
    background-color: yellow;
    text-transform: uppercase;
    font-weight: bold;
    font-family: 'Caveat', cursive;
}

#game {
    margin: 0 auto;
    padding: 20px;
    cursor: url('../images/cursor1.png'), auto;
}

#game tr td {
    display: inline-block;
    width: 50px;
    height: 30px;
    background: radial-gradient(rgb(170, 100, 30), rgb(200, 170, 125));
    margin: 13px 3px;
    border-radius: 50%;
    border: 3px solid rgb(151, 89, 18);
    box-shadow: 3px 3px 5px #333;
    overflow: hidden;
}

.showOverflow {
    overflow: visible !important;
}

#stats {
    text-align: center;
    font-size: 2em;
    padding: 1em 0 .5em;
}

#stats * {
    margin: 0.5em;
}

#time, #got, #missed {
    margin: 0;
}

#stats .up {
    width: 5vh;
    height: 5vh;
    margin: 0 0 -5px;
}

.hide {
    display: none !important;
}

.blue {
    background: radial-gradient(blue, rgb(214, 181, 137)) !important;
}

.green {
    background: radial-gradient(green, #fff) !important;
}

.red {
    background: radial-gradient(red, rgb(214, 181, 137)) !important;
}

.mole {
    width: 50px;
    height: 50px;
    margin-top: -20px;
    animation-name: popup;
    animation-duration: 0.3s;
    animation-iteration-count: 1;
}
  
@keyframes popup {
    from {margin-top: 20px;}
    to {margin-top: -20px;}
}

.yesno {
    width: 50px;
    height: 50px;
    margin-top: -20px;
}

#end {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 2;
    background: linear-gradient(50deg, rgba(170, 170, 170, 0.7), rgba(255, 255, 255, 0.7));
    opacity: 1;
}

#final {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px 50px;
    border-radius: 50px;
    text-align: center;
    width: max-content;
    height: max-content;
    background-color: lawngreen;
    z-index: 3;
}

@media screen and (max-width: 700px) {
    body {
        font-size: 3.8vw;
    }

    #game tr td {
        width: 7vw;
        height: 4vw;
        border: 0.5vw solid rgb(151, 89, 18);
        margin: 2.5vw 0.5vw;
    }

    #game {
        padding: 4vw;
    }

    .mole, .yesno  {
        width: 7vw;
        height: 7vw;
        margin-top: -3vw;
    }

    #stats .up {
        width: 7vw;
        height: 7vw;
    }
}